Summary: A hardware browser.
Name: hwbrowser
Version: 0.11
Release: 1.XOS.1
URL: http://www.redhat.com/
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Requires: gnome-python2
Requires: usermode
Requires: kudzu
Requires: parted >= 1.6.3

%description
A browser for your current hardware configuration.

%prep
%setup -q

CFLAGS="$RPM_OPT_FLAGS" ./configure \
    $MYARCH_FLAGS --enable-more-warnings=no \
    --prefix=%{_prefix} --datadir=%{_datadir} \
    --sysconfdir=%{_sysconfdir} --includedir=%{_includedir} \
    --libdir=%{_libdir} --bindir=%{_bindir}

%build

make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
desktop-file-install --vendor redhat --delete-original      \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  $RPM_BUILD_ROOT%{_datadir}/applications/hwbrowser.desktop

%find_lang %{name}

rm -rf $RPM_BUILD_ROOT%{_datadir}/kontrol-panel/*.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS COPYING
%{_bindir}/*
%{_sysconfdir}/pam.d/*
%{_sysconfdir}/security/console.apps/*
%{_datadir}/hwbrowser
%{_datadir}/kontrol-panel/icons/hwbrowser.png
%{_datadir}/pixmaps/hwbrowser.png
%{_datadir}/applications/redhat-hwbrowser.desktop

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 0.11-1.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on hwbrowser-0.11-1.src.rpm
  (md5sum of original source rpm: 2bd02da2113b4368d7bb20e5324288d4).

* Mon Sep 15 2003 Brent Fox <bfox@redhat.com> 0.11-1
- apply patch to pull desktop file translations from po files

* Wed Aug 27 2003 Brent Fox <bfox@bfox.devel.redhat.com> 0.10-2
- bump relnum

* Wed Aug 27 2003 Brent Fox <bfox@bfox.devel.redhat.com> 0.10-1
- notting added a new kudzu hardware class

* Tue Aug 19 2003 Brent Fox <bfox@redhat.com> 0.9-1
- glade file improvements from Than Ngo

* Tue May  6 2003 Brent Fox <bfox@redhat.com> 0.8-13
- pull in some translations

* Fri Mar  7 2003 Brent Fox <bfox@redhat.com> 0.8-12
- bump rev for rebuild

* Fri Feb 28 2003 Brent Fox <bfox@redhat.com> 0.8-11
- call update_now on canvas (bug #75857)

* Tue Feb 25 2003 Brent Fox <bfox@redhat.com> 0.8-10
- fix partition display (bug #85021)
- pull translation modules from rhpl.  (bug #84950)

* Tue Feb 11 2003 Brent Fox <bfox@redhat.com> 0.8-9
- fix bug 84033

* Fri Feb  7 2003 Brent Fox <bfox@redhat.com> 0.8-8
- check for detached floppy drives (bug #83682)

* Fri Feb  7 2003 Brent Fox <bfox@redhat.com> 0.8-7
- apply patch from bug #66581
- that patch should also fix bug #61917

* Thu Feb  6 2003 Brent Fox <bfox@redhat.com> 0.8-6
- fill out manufacturer info for USB devices (bug #81715)

* Mon Feb  3 2003 Brent Fox <bfox@redhat.com> 0.8-5
- fix the order to kudzu.probe (bug #83140)

* Thu Jan 30 2003 Brent Fox <bfox@redhat.com> 0.8-4
- bump and build

* Wed Jan 22 2003 Brent Fox <bfox@redhat.com> 0.8-3
- install all available langs

* Mon Jan 13 2003 Brent Fox <bfox@redhat.com> 0.8-2
- make sure cs gets installed (bug #81447)

* Thu Jan  9 2003 Jeremy Katz <katzj@redhat.com> 0.8-1
- update for new parted api (#80733)
- miscellaneous little disk view fixes

* Wed Jan  8 2003 Brent Fox <bfox@redhat.com> 0.7-2
- fix crash when firewire ports are detected (bug #74956)

* Wed Dec 11 2002 Elliot Lee <sopwith@redhat.com> 0.7-1
- Use find_lang
- Remove unpackaged files

* Fri May 31 2002 Jonathan Blandford <jrb@redhat.com>
- Port fully to GTK+ 2

* Mon Apr 15 2002 Jonathan Blandford <jrb@redhat.com>
- new version.

* Wed Mar 27 2002 Jonathan Blandford <jrb@redhat.com>
- new version

* Wed Jan 30 2002 Jonathan Blandford <jrb@redhat.com>
- new version.

* Wed Aug 29 2001 Jonathan Blandford <jrb@redhat.com>
- remove desktop file from %{_datadir}/kontrol-panel, #52718

* Fri Aug 24 2001 Jonathan Blandford <jrb@redhat.com>
- more translations.  Fix brokenness with kudzu probing.  Fix .desktop
- file for kontrol-panel

* Wed Aug 22 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add Japanese translation.

* Thu Aug  9 2001 Jonathan Blandford <jrb@redhat.com>
- New version to fix slowness bug, and install into /etc/X11/sysconfig

* Sun Aug  5 2001 Nalin Dahyabhai <nalin@redhat.com>
- upgrade to new version to fix gettext wackiness

* Mon Jul 30 2001 Jonathan Blandford <jrb@redhat.com>
- upgrade to new version

* Mon Jul  9 2001 Jonathan Blandford <jrb@redhat.com>
- Initial build.
